Approve a dataset proposal and finalize it
curl --request POST \
--url https://api.example.com/api/finetune/datasets/{job_id}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"edits": {
"remove_indices": [
123
],
"add_examples": [
{
"messages": [
{
"content": "<string>"
}
],
"provenance": "<string>",
"category": "<string>"
}
],
"notes": "<string>"
},
"auto_train": false
}
'import requests
url = "https://api.example.com/api/finetune/datasets/{job_id}/approve"
payload = {
"edits": {
"remove_indices": [123],
"add_examples": [
{
"messages": [{ "content": "<string>" }],
"provenance": "<string>",
"category": "<string>"
}
],
"notes": "<string>"
},
"auto_train": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
edits: {
remove_indices: [123],
add_examples: [
{
messages: [{content: '<string>'}],
provenance: '<string>',
category: '<string>'
}
],
notes: '<string>'
},
auto_train: false
})
};
fetch('https://api.example.com/api/finetune/datasets/{job_id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"example_count": 123,
"approved_dataset_s3": "<string>",
"training_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Training
Approve a dataset proposal and finalize it
Apply edits, mark approved, and finalize the training JSONL.
POST
/
api
/
finetune
/
datasets
/
{job_id}
/
approve
Approve a dataset proposal and finalize it
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Dataset job ID.
Body
application/json
Approve a proposed dataset and queue finalization.
Response
Successful Response
Response returned by the approval endpoint.
Lifecycle of a fine-tuning dataset job.
Available options:
running, pending_approval, failed, approved, materializing, complete Fine-tune training job chained from this dataset, when auto_train is true.
Was this page helpful?
⌘I

